AIX 7.2 TL 3 : tcpdump (IJ12983)

Medium Nessus Plugin ID 122429

Synopsis

The remote AIX host is missing a security patch.

Description

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19519 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19519 Tcpdump is vulnerable to a stack-based buffer overflow, caused by improper bounds checking by the print_prefix function of print-hncp.c. By using a specially-crafted packet data, a remote attacker could overflow a buffer and execute arbitrary code on the system or cause the application to crash.

Solution

Install the appropriate interim fix.

See Also

http://aix.software.ibm.com/aix/efixes/security/tcpdump_advisory4.asc

Plugin Details

Severity: Medium

ID: 122429

File Name: aix_IJ12983.nasl

Version: 1.2

Type: local

Published: 2019/02/26

Updated: 2019/03/07

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

CVSS v3.0

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N

Vulnerability Information

CPE: cpe:/o:ibm:aix:7.2

Required KB Items: Host/AIX/lslpp, Host/local_checks_enabled, Host/AIX/version

Patch Publication Date: 2019/02/25

Vulnerability Publication Date: 2019/02/25

Reference Information

CVE: CVE-2018-19519